%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name News-Article

Summary: 	Object for handling Usenet articles in mail or news form
Name: 		perl-News-Article
Version: 	1.27
Release: 	2.1
License: 	Artistic/GPL
Group: 		Applications/CPAN
Source: 	News-Article-1.27.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-root

BuildArch: 	noarch
BuildRequires: 	perl

%description
This module originated with the development of the software intended
to handle newsgroup creation for the (new) mod.* Usenet hierarchy.
The requirement to centralise, and fully automate, the process of
group creation and the detection of defunct groups led to a large
number of cases where the software would be required to read, parse,
forward, reply to, mail and post articles of various forms.
  
%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} 

%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__rm} -rf %{buildroot}%{perl_archlib} %{buildroot}%{perl_vendorarch}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc README
%doc %{_mandir}/man3/*
%{perl_vendorlib}/News/Article.pm
%{perl_vendorlib}/News/AutoReply.pm
%{perl_vendorlib}/News/FormReply.pm
%{perl_vendorlib}/News/FormArticle.pm

%changelog
